import React from 'react';
import { Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Text } from '../../Atoms';

const StoreSmall = _ref => {
  let {
    data = {},
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: [styles.wrapper, styles.shadow, style]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.imageWrapper
  }, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.image
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.desc
  }, /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold"
  }), /*#__PURE__*/React.createElement(Text, {
    text: data === null || data === void 0 ? void 0 : data.formattedAddress,
    variant: "light",
    size: "small",
    numberOfLines: 3,
    textStyle: {
      marginTop: 8
    }
  })));
};

const styles = StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  wrapper: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'center',
    backgroundColor: 'white',
    padding: width * 0.03,
    borderRadius: 15,
    margin: 10
  },
  imageWrapper: {
    width: width * 0.2,
    height: width * 0.2
  },
  image: {
    width: '100%',
    height: '100%',
    borderRadius: 15
  },
  desc: {
    justifyContent: 'space-around',
    // height: '100%',
    maxWidth: width * 0.62,
    marginLeft: 10
  }
});
export default StoreSmall;
//# sourceMappingURL=StoreSmall.js.map